Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class Locator

    java.lang.Object
      org.teleal.cling.model.Locator

    public class Locator

extends Object

The URL and MAC address a device (descriptor) is reachable at.

Used when sending notification messages about local devices and services to other UPnP participants on the network. We send them the URL our descriptors are reachable at, and we also let them know our MAC hardware address so they can wake us up from sleep with Wake-On-LAN if necessary.

Author:
  Christian Bauer

Field Summary
`protected InetAddress` | `address`
`protected byte[]` | `hardwareAddress`
`protected URI` | `path`
`protected int` | `port`

Constructor Summary
`Locator(InetAddress address, int port, URI path)`
`Locator(InetAddress address, int port, URI path, byte[] hardwareAddress)`

Method Summary
`boolean` | `equals(Object o)`
`InetAddress` | `getAddress()`
`byte[]` | `getHardwareAddress()`
`URI` | `getPath()`
`int` | `getPort()`
`URL` | `getURL()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected InetAddress address

### port

    protected int port

### path

    protected URI path

### hardwareAddress

    protected byte[] hardwareAddress

Constructor Detail

### Locator

    public Locator(InetAddress address,
                   int port,
                   URI path)

### Locator

    public Locator(InetAddress address,
                   int port,
                   URI path,
                   byte[] hardwareAddress)

Method Detail

### getAddress

    public InetAddress getAddress()

### getPort

    public int getPort()

### getPath

    public URI getPath()

### getHardwareAddress

    public byte[] getHardwareAddress()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getURL

    public URL getURL()

  Returns:
    An HTTP URL with the address, port, and path of this locator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.